> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/maker/mcd-give.md).

# McdGive

### Description

Gives the vault ownership to a different address

### Action ID

`0xb2b1cae3`

### SDK Action

```ts
const makerGiveAction = new dfs.actions.maker.MakerGiveAction(
    vaultId,
    newOwner,
    createProxy,
    mcdManager
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param vaultId Id of the vault
    /// @param newOwner Address of the new owner
    /// @param mcdManager Manager address
    struct Params {
        uint256 vaultId;
        address newOwner;
        address mcdManager;
    }
```

### Return Value

```solidity
return bytes32(bytes20(newOwner));
```

### Events and Logs

```solidity
emit ActionEvent("McdGive", logData);
logger.logActionDirectEvent("McdGive", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/maker/mcd-give.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
